Add padding data

- « sodium_memzero

- sodium_unpad »

- PHP Manual
- Sodium Functions
- Add padding data

# sodium_pad

(PHP 7 >= 7.2.0, PHP 8)

sodium_pad — Add padding data

### Description

sodium_pad(string `$string`, int `$block_size`): string

Right-pad a string to a desired length. Timing-safe.

### Parameters

`string`

  Unpadded string.

`block_size`

  The string will be padded until it is an even multiple of the block size.

### Return Values

Padded string.